clang 8.0.0

Public Types | Static Public Member Functions | List of all members
clang::ento::ProgramStatePartialTrait< void * > Struct Template Reference

`#include "clang/StaticAnalyzer/Core/PathSensitive/ProgramStateTrait.h"`

## Public Types
using | data_type = void *

## Static Public Member Functions
static data_type | MakeData (void *const *p)
static void * | MakeVoidPtr (data_type d)

## Detailed Description

### template<>
struct clang::ento::ProgramStatePartialTrait< void * >

Definition at line 300 of file ProgramStateTrait.h.

## Member Typedef Documentation

## ◆ data_type

using clang::ento::ProgramStatePartialTrait< void * >::data_type = void *

Definition at line 301 of file ProgramStateTrait.h.

## Member Function Documentation

## ◆ MakeData()

static data_type clang::ento::ProgramStatePartialTrait< void * >::MakeData | ( | void *const * | p | ) |
| inline static

Definition at line 303 of file ProgramStateTrait.h.

## ◆ MakeVoidPtr()

static void* clang::ento::ProgramStatePartialTrait< void * >::MakeVoidPtr | ( | data_type | d | ) |
| inline static

Definition at line 308 of file ProgramStateTrait.h.

The documentation for this struct was generated from the following file:

- include/clang/StaticAnalyzer/Core/PathSensitive/ProgramStateTrait.h